Skip to main content
POST
/
events
Send usage events
curl --request POST \
  --url https://core.nozle.app/api/v1/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": {
    "transaction_id": "transaction_1234567890",
    "external_subscription_id": "sub_1234567890",
    "code": "storage",
    "timestamp": "1651240791.123",
    "precise_total_amount_cents": "1234.56",
    "properties": {
      "gb": 10
    }
  }
}
'
{
  "event": {
    "transaction_id": "transaction_1234567890",
    "lago_customer_id": null,
    "code": "storage",
    "timestamp": "2022-04-29T08:59:51.123Z",
    "lago_subscription_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "external_subscription_id": "sub_1234567890",
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "precise_total_amount_cents": "1234.56",
    "properties": {
      "gb": 10
    },
    "created_at": "2022-04-29T08:59:51Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Event payload

event
object
required

Response

Event

event
object
required